> For the complete documentation index, see [llms.txt](https://docs.iproyal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iproyal.com/tools/web-unblocker/geo-location-targeting.md).

# Geo-location Targeting

You can specify a country, city or a US state, from which to access your target website.

### Country Targeting

You can enable country-level targeting by appending `_country-` to the password in your proxy credentials.

Example usage for US:

```
curl -k -v -x http://unblocker.iproyal.com:12323 --proxy-user user:password_country-us -L https://ipv4.icanhazip.com
```

The value of this parameter is a two-letter country code ([ISO 3166-1 alpha-2 format](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).

You can set more than one country at once.

### City Targeting

For city-level targeting, append the `_city-` key to the password in your proxy credentials. Its value should be the name of the city.

{% hint style="info" %}
NOTE: It's essential to first specify the country using `_country-` key when targeting a specific city, as multiple countries may have cities with the same name.
{% endhint %}

Example:

```
curl -k -v -x http://unblocker.iproyal.com:12323 --proxy-user user:password_country-us_city-chicago -L https://ipv4.icanhazip.com
```

### State Targeting

This feature allows state-level **targeting only in US**. To target a specific state, append the `_state-` key to the password in your proxy credentials. Its value should be the name of the state.

Example:

```
curl -k -v -x http://unblocker.iproyal.com:12323 --proxy-user user:password_country-us_state-iowa -L https://ipv4.icanhazip.com
```

\ <br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iproyal.com/tools/web-unblocker/geo-location-targeting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
